CREATE TRIGGER DEL_SVC_SCOPE
   AFTER DELETE ON SVC_SCOPE
   REFERENCING OLD AS N
   FOR EACH ROW
   MODE DB2SQL
   BEGIN ATOMIC
   DELETE FROM ORDER_ELMT ORE WHERE ORE.OFFRG_ELMT_ID IN (SELECT OFFRG_ELMT_ID FROM OFFRG_ELMT OE WHERE OE.SVC_ELMT_ID = N.SVC_SCOPE_ID);
   DELETE FROM OFFRG_ELMT OE WHERE OE.SVC_ELMT_ID = N.SVC_SCOPE_ID;
   DELETE FROM ELMT_PROP EP WHERE EP.SVC_ELMT_ID = N.SVC_SCOPE_ID;
   DELETE FROM SVC_ELMT SE WHERE SE.SVC_SCOPE_ID = N.SVC_SCOPE_ID AND SE.STATE=2;
   END@