------------------------ COPYRIGHT STATEMENT ----------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-C40
-- (C) Copyright IBM Corp. 2003.  All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
------------------------END OF COPYRIGHT STATEMENT -----------------------

--------------------------------------------------------------------------
--  CMVC Location:  src/tedw_apps/dyk/cdw/ddl/dyk_cdw_schema.sql, etl.target, slm1.2.1.fp1
--  Version:        1.1
--  Last Modified:  7/18/03
--------------------------------------------------------------------------

CREATE TABLE DYK.STAGE_Extract_Filter (
       ExtFltr_Cd           CHAR(6) NOT NULL,
       ExtFltr_Flg          CHAR(1) NOT NULL,
       CONSTRAINT DYK_PKSTAGE_EFltr
              PRIMARY KEY (ExtFltr_Cd)
);

CREATE TABLE DYK.STAGE_MsmtTyp (
       MsmtTyp_ID           INTEGER NOT NULL,
       MUnit_Cd             CHAR(6) NOT NULL,
       MSrc_Cd              CHAR(6) NOT NULL,
       MsmtTyp_Nm           VARCHAR(120) NOT NULL,
       MsmtTyp_Ds           VARCHAR(254),
       CONSTRAINT DYK_PKSTAGE_MTyp 
              PRIMARY KEY (MsmtTyp_ID)
);

ALTER TABLE DYK.STAGE_MsmtTyp
      ADD CONSTRAINT DYK_FKSTAGE_MTyp_1 
	  FOREIGN KEY (MSrc_Cd)
		  REFERENCES TWG.MSrc
			     ON DELETE CASCADE;

ALTER TABLE DYK.STAGE_MsmtTyp
      ADD CONSTRAINT DYK_FKSTAGE_MTyp_2 
	  FOREIGN KEY (MUnit_Cd)
	        REFERENCES TWG.MUnit 
			   ON DELETE CASCADE;
